PDF

# Class: FPDF

Source Location: /lib/fpdf.php

### Class Overview

Main FPDF class for creating PDF documents

### Variables

- $AliasNbPages
- $author
- $AutoPageBreak
- $bMargin
- $buffer
- $cMargin
- $ColorFlag
- $compress
- $CoreFonts
- $creator
- $CurOrientation
- $CurrentFont
- $DefOrientation
- $diffs
- $DrawColor
- $fh
- $fhPt
- $FillColor
- $FontFamily
- $FontFiles
- $fonts
- $FontSize
- $FontSizePt
- $FontStyle
- $fw
- $fwPt
- $h
- $hPt
- $images
- $InFooter
- $k
- $keywords
- $lasth
- $LayoutMode
- $LineWidth
- $links
- $lMargin
- $n
- $offsets
- $OrientationChanges
- $page
- $PageBreakTrigger
- $PageLinks
- $pages
- $PDFVersion
- $rMargin
- $state
- $subject
- $TextColor
- $title
- $tMargin
- $underline
- $w
- $wPt
- $ws
- $x
- $y
- $ZoomMode

### Methods

- FPDF
- AcceptPageBreak
- AddFont
- AddLink
- AddPage
- AliasNbPages
- Cell
- Close
- Error
- Footer
- GetStringWidth
- GetX
- GetY
- Header
- Image
- Line
- Link
- Ln
- MultiCell
- Open
- Output
- PageNo
- Rect
- SetAuthor
- SetAutoPageBreak
- SetCompression
- SetCreator
- SetDisplayMode
- SetDrawColor
- SetFillColor
- SetFont
- SetFontSize
- SetKeywords
- SetLeftMargin
- SetLineWidth
- SetLink
- SetMargins
- SetRightMargin
- SetSubject
- SetTextColor
- SetTitle
- SetTopMargin
- SetX
- SetXY
- SetY
- Text
- Write
- _beginpage
- _dochecks
- _dounderline
- _enddoc
- _endpage
- _escape
- _freadint
- _getfontpath
- _newobj
- _out
- _parsejpg
- _parsepng
- _putcatalog
- _putfonts
- _putheader
- _putimages
- _putinfo
- _putpages
- _putresourcedict
- _putresources
- _putstream
- _puttrailer
- _putxobjectdict
- _textstring

### Child classes:

UFPDF
  Main UFPDF class for creating Unicode PDF documents

### Class Details

[line 28]
Main FPDF class for creating PDF documents
[ Top ]

### Class Variables

#### $AliasNbPages =

[line 82]

Type: | mixed

[ Top ]

#### $author =

[line 79]

Type: | mixed

[ Top ]

#### $AutoPageBreak =

[line 72]

Type: | mixed

[ Top ]

#### $bMargin =

[line 49]

Type: | mixed

[ Top ]

#### $buffer =

[line 34]

Type: | mixed

[ Top ]

#### $cMargin =

[line 50]

Type: | mixed

[ Top ]

#### $ColorFlag =

[line 70]

Type: | mixed

[ Top ]

#### $compress =

[line 37]

Type: | mixed

[ Top ]

#### $CoreFonts =

[line 54]

Type: | mixed

[ Top ]

#### $creator =

[line 81]

Type: | mixed

[ Top ]

#### $CurOrientation =

[line 39]

Type: | mixed

[ Top ]

#### $CurrentFont =

[line 64]

Type: | mixed

[ Top ]

#### $DefOrientation =

[line 38]

Type: | mixed

[ Top ]

#### $diffs =

[line 57]

Type: | mixed

[ Top ]

#### $DrawColor =

[line 67]

Type: | mixed

[ Top ]

#### $fh =

[line 43]

Type: | mixed

[ Top ]

#### $fhPt =

[line 42]

Type: | mixed

[ Top ]

#### $FillColor =

[line 68]

Type: | mixed

[ Top ]

#### $FontFamily =

[line 61]

Type: | mixed

[ Top ]

#### $FontFiles =

[line 56]

Type: | mixed

[ Top ]

#### $fonts =

[line 55]

Type: | mixed

[ Top ]

#### $FontSize =

[line 66]

Type: | mixed

[ Top ]

#### $FontSizePt =

[line 65]

Type: | mixed

[ Top ]

#### $FontStyle =

[line 62]

Type: | mixed

[ Top ]

#### $fw =

[line 43]

Type: | mixed

[ Top ]

#### $fwPt =

[line 42]

Type: | mixed

[ Top ]

#### $h =

[line 45]

Type: | mixed

[ Top ]

#### $hPt =

[line 44]

Type: | mixed

[ Top ]

#### $images =

[line 58]

Type: | mixed

[ Top ]

#### $InFooter =

[line 74]

Type: | mixed

[ Top ]

#### $k =

[line 41]

Type: | mixed

[ Top ]

#### $keywords =

[line 80]

Type: | mixed

[ Top ]

#### $lasth =

[line 52]

Type: | mixed

[ Top ]

#### $LayoutMode =

[line 76]

Type: | mixed

[ Top ]

#### $LineWidth =

[line 53]

Type: | mixed

[ Top ]

#### $links =

[line 60]

Type: | mixed

[ Top ]

#### $lMargin =

[line 46]

Type: | mixed

[ Top ]

#### $n =

[line 32]

Type: | mixed

[ Top ]

#### $offsets =

[line 33]

Type: | mixed

[ Top ]

#### $OrientationChanges =

[line 40]

Type: | mixed

[ Top ]

#### $page =

[line 31]

Type: | mixed

[ Top ]

#### $PageBreakTrigger =

[line 73]

Type: | mixed

[ Top ]

#### $PageLinks =

[line 59]

Type: | mixed

[ Top ]

#### $pages =

[line 35]

Type: | mixed

[ Top ]

#### $PDFVersion =

[line 83]

Type: | mixed

[ Top ]

#### $rMargin =

[line 48]

Type: | mixed

[ Top ]

#### $state =

[line 36]

Type: | mixed

[ Top ]

#### $subject =

[line 78]

Type: | mixed

[ Top ]

#### $TextColor =

[line 69]

Type: | mixed

[ Top ]

#### $title =

[line 77]

Type: | mixed

[ Top ]

#### $tMargin =

[line 47]

Type: | mixed

[ Top ]

#### $underline =

[line 63]

Type: | mixed

[ Top ]

#### $w =

[line 45]

Type: | mixed

[ Top ]

#### $wPt =

[line 44]

Type: | mixed

[ Top ]

#### $ws =

[line 71]

Type: | mixed

[ Top ]

#### $x =

[line 51]

Type: | mixed

[ Top ]

#### $y =

[line 51]

Type: | mixed

[ Top ]

#### $ZoomMode =

[line 75]

Type: | mixed

[ Top ]

### Class Methods

### constructor FPDF [line 90]

`FPDF FPDF( [ $orientation = 'P'], [ $unit = 'mm'], [ $format = 'A4'])`

*****************************************************************************

* Public methods * * *****************************************************************************

#### Parameters:

| $orientation |
| $unit |
| $format |

[ Top ]

### method AcceptPageBreak [line 628]

`void AcceptPageBreak( )`

Overridden in child classes as:

UFPDF::AcceptPageBreak()

[ Top ]

### method AddFont [line 474]

`void AddFont( $family, [ $style = ''], [ $file = ''])`

Overridden in child classes as:

UFPDF::AddFont()

#### Parameters:

| $family |
| $style |
| $file |

[ Top ]

### method AddLink [line 593]

`void AddLink( )`

[ Top ]

### method AddPage [line 320]

`void AddPage( [ $orientation = ''])`

#### Parameters:

| $orientation |

[ Top ]

### method AliasNbPages [line 285]

`void AliasNbPages( [ $alias = '{nb}'])`

Overridden in child classes as:

UFPDF::AliasNbPages()

#### Parameters:

| $alias |

[ Top ]

### method Cell [line 634]

`void Cell( $w, [ $h = 0], [ $txt = ''], [ $border = 0], [ $ln = 0], [ $align = ''], [ $fill = 0], [ $link = ''])`

Overridden in child classes as:

UFPDF::Cell()

#### Parameters:

| $w |
| $h |
| $txt |
| $border |
| $ln |
| $align |
| $fill |
| $link |

[ Top ]

### method Close [line 303]

`void Close( )`

[ Top ]

### method Error [line 291]

`void Error( $msg)`

#### Parameters:

| $msg |

[ Top ]

### method Footer [line 392]

`void Footer( )`

[ Top ]

### method GetStringWidth [line 436]

`void GetStringWidth( $s)`

Overridden in child classes as:

UFPDF::GetStringWidth()

#### Parameters:

| $s |

[ Top ]

### method GetX [line 967]

`void GetX( )`

[ Top ]

### method GetY [line 982]

`void GetY( )`

[ Top ]

### method Header [line 387]

`void Header( )`

[ Top ]

### method Image [line 907]

`void Image( $file, $x, $y, [ $w = 0], [ $h = 0], [ $type = ''], [ $link = ''])`

#### Parameters:

| $file |
| $x |
| $y |
| $w |
| $h |
| $type |
| $link |

[ Top ]

### method Line [line 456]

`void Line( $x1, $y1, $x2, $y2)`

#### Parameters:

| $x1 |
| $y1 |
| $x2 |
| $y2 |

[ Top ]

### method Link [line 611]

`void Link( $x, $y, $w, $h, $link)`

#### Parameters:

| $x |
| $y |
| $w |
| $h |
| $link |

[ Top ]

### method Ln [line 957]

`void Ln( [ $h = ''])`

#### Parameters:

| $h |

[ Top ]

### method MultiCell [line 713]

`void MultiCell( $w, $h, $txt, [ $border = 0], [ $align = 'J'], [ $fill = 0])`

Overridden in child classes as:

UFPDF::MultiCell()

#### Parameters:

| $w |
| $h |
| $txt |
| $border |
| $align |
| $fill |

[ Top ]

### method Open [line 297]

`void Open( )`

[ Top ]

### method Output [line 1005]

`void Output( [ $name = ''], [ $dest = ''])`

#### Parameters:

| $name |
| $dest |

[ Top ]

### method PageNo [line 397]

`void PageNo( )`

[ Top ]

### method Rect [line 462]

`void Rect( $x, $y, $w, $h, [ $style = ''])`

#### Parameters:

| $x |
| $y |
| $w |
| $h |
| $style |

[ Top ]

### method SetAuthor [line 267]

`void SetAuthor( $author)`

#### Parameters:

| $author |

[ Top ]

### method SetAutoPageBreak [line 225]

`void SetAutoPageBreak( $auto, [ $margin = 0])`

#### Parameters:

| $auto |
| $margin |

[ Top ]

### method SetCompression [line 246]

`void SetCompression( $compress)`

#### Parameters:

| $compress |

[ Top ]

### method SetCreator [line 279]

`void SetCreator( $creator)`

#### Parameters:

| $creator |

[ Top ]

### method SetDisplayMode [line 233]

`void SetDisplayMode( $zoom, [ $layout = 'continuous'])`

#### Parameters:

| $zoom |
| $layout |

[ Top ]

### method SetDrawColor [line 403]

`void SetDrawColor( $r, [ $g = -1], [ $b = -1])`

#### Parameters:

| $r |
| $g |
| $b |

[ Top ]

### method SetFillColor [line 414]

`void SetFillColor( $r, [ $g = -1], [ $b = -1])`

#### Parameters:

| $r |
| $g |
| $b |

[ Top ]

### method SetFont [line 522]

`void SetFont( $family, [ $style = ''], [ $size = 0])`

#### Parameters:

| $family |
| $style |
| $size |

[ Top ]

### method SetFontSize [line 582]

`void SetFontSize( $size)`

#### Parameters:

| $size |

[ Top ]

### method SetKeywords [line 273]

`void SetKeywords( $keywords)`

#### Parameters:

| $keywords |

[ Top ]

### method SetLeftMargin [line 205]

`void SetLeftMargin( $margin)`

#### Parameters:

| $margin |

[ Top ]

### method SetLineWidth [line 448]

`void SetLineWidth( $width)`

#### Parameters:

| $width |

[ Top ]

### method SetLink [line 601]

`void SetLink( $link, [ $y = 0], [ $page = -1])`

#### Parameters:

| $link |
| $y |
| $page |

[ Top ]

### method SetMargins [line 195]

`void SetMargins( $left, $top, [ $right = -1])`

#### Parameters:

| $left |
| $top |
| $right |

[ Top ]

### method SetRightMargin [line 219]

`void SetRightMargin( $margin)`

#### Parameters:

| $margin |

[ Top ]

### method SetSubject [line 261]

`void SetSubject( $subject)`

#### Parameters:

| $subject |

[ Top ]

### method SetTextColor [line 426]

`void SetTextColor( $r, [ $g = -1], [ $b = -1])`

#### Parameters:

| $r |
| $g |
| $b |

[ Top ]

### method SetTitle [line 255]

`void SetTitle( $title)`

#### Parameters:

| $title |

[ Top ]

### method SetTopMargin [line 213]

`void SetTopMargin( $margin)`

#### Parameters:

| $margin |

[ Top ]

### method SetX [line 973]

`void SetX( $x)`

#### Parameters:

| $x |

[ Top ]

### method SetXY [line 998]

`void SetXY( $x, $y)`

#### Parameters:

| $x |
| $y |

[ Top ]

### method SetY [line 988]

`void SetY( $y)`

#### Parameters:

| $y |

[ Top ]

### method Text [line 617]

`void Text( $x, $y, $txt)`

Overridden in child classes as:

UFPDF::Text()

#### Parameters:

| $x |
| $y |
| $txt |

[ Top ]

### method Write [line 826]

`void Write( $h, $txt, [ $link = ''])`

Overridden in child classes as:

UFPDF::Write()

#### Parameters:

| $h |
| $txt |
| $link |

[ Top ]

### method _beginpage [line 1445]

`void _beginpage( $orientation)`

#### Parameters:

| $orientation |

[ Top ]

### method _dochecks [line 1078]

`void _dochecks( )`

*****************************************************************************

* Protected methods * * *****************************************************************************

[ Top ]

### method _dounderline [line 1498]

`void _dounderline( $x, $y, $txt)`

Overridden in child classes as:

UFPDF::_dounderline()

#### Parameters:

| $x |
| $y |
| $txt |

[ Top ]

### method _enddoc [line 1410]

`void _enddoc( )`

[ Top ]

### method _endpage [line 1484]

`void _endpage( )`

[ Top ]

### method _escape [line 1627]

`void _escape( $s)`

#### Parameters:

| $s |

[ Top ]

### method _freadint [line 1614]

`void _freadint( $f)`

#### Parameters:

| $f |

[ Top ]

### method _getfontpath [line 1088]

`void _getfontpath( )`

[ Top ]

### method _newobj [line 1490]

`void _newobj( )`

[ Top ]

### method _out [line 1640]

`void _out( $s)`

#### Parameters:

| $s |

[ Top ]

### method _parsejpg [line 1507]

`void _parsejpg( $file)`

#### Parameters:

| $file |

[ Top ]

### method _parsepng [line 1531]

`void _parsepng( $file)`

#### Parameters:

| $file |

[ Top ]

### method _putcatalog [line 1378]

`void _putcatalog( )`

[ Top ]

### method _putfonts [line 1166]

`void _putfonts( )`

[ Top ]

### method _putheader [line 1398]

`void _putheader( )`

[ Top ]

### method _putimages [line 1283]

`void _putimages( )`

[ Top ]

### method _putinfo [line 1362]

`void _putinfo( )`

Overridden in child classes as:

UFPDF::_putinfo()

[ Top ]

### method _putpages [line 1095]

`void _putpages( )`

Overridden in child classes as:

UFPDF::_putpages()

[ Top ]

### method _putresourcedict [line 1337]

`void _putresourcedict( )`

[ Top ]

### method _putresources [line 1349]

`void _putresources( )`

[ Top ]

### method _putstream [line 1633]

`void _putstream( $s)`

#### Parameters:

| $s |

[ Top ]

### method _puttrailer [line 1403]

`void _puttrailer( )`

[ Top ]

### method _putxobjectdict [line 1331]

`void _putxobjectdict( )`

[ Top ]

### method _textstring [line 1621]

`void _textstring( $s)`

Overridden in child classes as:

UFPDF::_textstring()

#### Parameters:

| $s |

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:52:58 +0200 by phpDocumentor 1.4.1